Bug 730254 - Deleting a "Provider" in Conductor 0.3.0 release has incorrect status message
Summary: Deleting a "Provider" in Conductor 0.3.0 release has incorrect status message
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: CloudForms Cloud Engine
Classification: Retired
Component: aeolus-conductor
Version: 1.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: rc
Assignee: Jozef Zigmund
QA Contact: wes hayutin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-12 10:07 UTC by Justin Clift
Modified: 2015-07-13 04:35 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-15 21:52:30 UTC


Attachments (Terms of Use)
Screenshot of the incorrect status message (299.79 KB, image/png)
2011-08-12 10:11 UTC, Justin Clift
no flags Details
provider deletion (241.62 KB, image/png)
2011-10-18 05:21 UTC, Aziza Karol
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2012:0583 normal SHIPPED_LIVE new packages: aeolus-conductor 2012-05-15 22:31:59 UTC

Description Justin Clift 2011-08-12 10:07:37 UTC
Description of problem:

  When deleting a Provider in Conductor, the success status message uses confusing terminology.
  It says "These Realms were deleted: XXXX".

  We're on the "Provider" page, and we just deleted a Provider, so it should be saying:

    These Providers were deleted: XXXX


Version-Release number of selected component (if applicable):

  aeolus-conductor-0.3.0-1.el6.fc14.noarch
  (Aeolus 0.3.0 Release rpm)

Comment 1 Justin Clift 2011-08-12 10:11:59 UTC
Created attachment 518008 [details]
Screenshot of the incorrect status message

Comment 2 Jozef Zigmund 2011-09-26 15:03:10 UTC
In new admin UI, it isn't possible delete provider, only provider account. So this bug is obsolete in the new context of UI.

Comment 3 Jozef Zigmund 2011-09-26 15:04:43 UTC
(In reply to comment #2)
> In new admin UI, it isn't possible delete provider, only provider account. So
> this bug is obsolete in the new context of UI.

Tested in master branch, the last commit 898bba3ba74d08d082c751537b06ed53d6d314b8

Comment 4 wes hayutin 2011-09-28 16:40:07 UTC
making sure all the bugs are at the right version for future queries

Comment 6 Aziza Karol 2011-10-18 05:21:17 UTC
Correct Error message is displayed on deleting a provider.

see attach screenshot.

verified on:
[root@gs-bl460cg1-01 ~]# rpm -qa | grep aeolus
aeolus-conductor-doc-0.5.0-0.20111014151901git7f70fb5.fc15.noarch
aeolus-all-0.5.0-0.20111014151901git7f70fb5.fc15.noarch
rubygem-aeolus-cli-0.1.0-3.20111003133323git9451323.fc15.noarch
aeolus-configure-2.2.0-1.20111007151942git26136f2.fc15.noarch
aeolus-conductor-0.5.0-0.20111014151901git7f70fb5.fc15.noarch
aeolus-conductor-daemons-0.5.0-0.20111014151901git7f70fb5.fc15.noarch
rubygem-aeolus-image-0.1.0-3.20111003170706git8f23238.fc15.noarch

Comment 7 Aziza Karol 2011-10-18 05:21:50 UTC
Created attachment 528715 [details]
provider deletion

Comment 9 errata-xmlrpc 2012-05-15 21:52:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2012-0583.html


Note You need to log in before you can comment on or make changes to this bug.